Skip to main content

Create transaction request

POST https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/request

Request specific transaction to be authorized by a Paysera user.

User can be specified by ID, email, or phone number.

Note: This feature requires special client privileges.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
transactionKeystring✓Transaction key

Request Body​

FieldTypeRequiredDescription
user_idintegerUser ID in Paysera system
emailstringEmail of the user
phonestringPhone number of the user
initiator_idintegerID of user who initiated this request

Example​

Request​

POST https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/request
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"phone": "37066612345"
}

Response​

{
"id": 2987,
"transaction_key": "pDAlAZ3z",
"created_at": 1355314332,
"user_id": 85541,
"phone": "37066612345"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"phone": "37066612345"
}

RESPONSE

Transaction request created
{
"id": 2987,
"transaction_key": "pDAlAZ3z",
"created_at": 1355314332,
"user_id": 85541,
"phone": "37066612345"
}